Get Company
curl --request GET \
--url https://app.cometly.com/public-api/v1/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cometly.com/public-api/v1/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cometly.com/public-api/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"domain": "<string>",
"name": "<string>",
"message": "<string>"
}Companies
Get Company
Retrieve details of a specific company by its ID
GET
/
public-api
/
v1
/
companies
/
{id}
Get Company
Overview
This endpoint allows you to retrieve the details of a company from Cometly.Path Parameters
integer
required
The unique identifier of the company to retrieve
Response
Success Response
Returns the company object directly (not wrapped in adata property).
integer
The unique identifier of the company
string
The domain associated with this company
string
The name associated with this company
Error Response
string
Error description explaining what went wrong
Example Requests
curl https://app.cometly.com/public-api/v1/companies/12345 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Accept: application/json" \
-H "Content-Type: application/json"
const companyId = 12345;
const response = await fetch(`https://app.cometly.com/public-api/v1/companies/${companyId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Accept': 'application/json',
'Content-Type': 'application/json'
}
});
const data = await response.json();
<?php
$companyId = 12345;
$url = 'https://app.cometly.com/public-api/v1/companies/' . $companyId;
$headers = [
'Authorization: Bearer YOUR_API_KEY',
'Accept: application/json',
'Content-Type: application/json'
];
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
?>
import requests
company_id = 12345
url = f'https://app.cometly.com/public-api/v1/companies/{company_id}'
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers)
Status Codes
| Status Code | Description |
|---|---|
| 200 | Company successfully retrieved |
| 401 | Missing or invalid API key |
| 403 | API key doesn’t have permission or subscription is inactive |
| 404 | Company not found |
| 422 | Invalid company ID provided |
| 429 | Too many requests - rate limit exceeded. See Rate Limiting |
Notes
- Rate Limit: This endpoint has a limit of 30 requests per minute per Space. See Rate Limiting for details.
⌘I